Форум русскоязычного сообщества Ubuntu


Автор Тема: Ошибки при проведении обновлений  (Прочитано 3298 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Yujeen33

  • Автор темы
  • Участник
  • *
  • Сообщений: 108
    • Просмотр профиля
Ошибки при проведении обновлений
« : 06 Январь 2016, 13:12:31 »
Доброго времени суток. При проведении обновлений получил вот это:
Looks like the same error to me, but then i didn't really take time to read 100 lines of code that i don't really understand.
Терминал рекомендует провести apt-get update, сделал, но все осталость по прежнему. Подскажите в чем проблема

Пользователь решил продолжить мысль 06 Январь 2016, 13:14:18:
Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
W: Вы можете запустить «apt-get update» для исправления этих ошибок
Еще и вот это
« Последнее редактирование: 06 Январь 2016, 13:14:18 от Yujeen33 »

Оффлайн Yujeen33

  • Автор темы
  • Участник
  • *
  • Сообщений: 108
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #1 : 08 Январь 2016, 12:03:12 »
Вопрос, видимо, был поставлен некорректно. При проведении обновлений в конце получил следующую информацию:
Чтение списков пакетов… Готово
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
W: Вы можете запустить «apt-get update» для исправления этих ошибок.

Помимо всего прочего возникли проблемы с обновлением языка - пишет ошибку. При стандартном обновлении в графическом режиме происходит тоже самое. В чем проблема. Гугл не дает решений. Заранее спасибо

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 1842
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #2 : 08 Январь 2016, 12:16:39 »
Yujeen33,
сторонние репозитории используешь?.. если да, то отключи и попробуй sudo apt-get update && sudo apt-get upgrade

valderus

  • Гость
Re: Ошибки при проведении обновлений
« Ответ #3 : 08 Январь 2016, 12:25:28 »
Здесь http://www.linux.org.ru/forum/admin/11905523 пишут что нужно обновить пакет apt отдельно от остального.

shura1

  • Гость
Re: Ошибки при проведении обновлений
« Ответ #4 : 08 Январь 2016, 13:03:02 »
Да сбилось все. Какой-то левый придурочный deb был установлен. Или еще миллион причин.

ИМО единственно реально, что можно сделать - переустановить систему.

И потом - никогда не работать под root. 10 раз думать, прежде чем, что-то устанавливать, править из под sudo.

Любые эксперименты в VirtualBox (озу >2 gb) или Qemu+kvm+libvirt (для серверов - ака командная строка - с гуи вроде хуже, чем virtualbox).

Оффлайн Yujeen33

  • Автор темы
  • Участник
  • *
  • Сообщений: 108
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #5 : 08 Январь 2016, 13:19:33 »
Сторонние репы использую, но только те, что рекомендуют в Wiki, а это я уже все делал-не помогает. Можно, конечно и систему обновить, но хотелось бы разобраться что произошло. Кроме всего прочего, когда захожу в Параметры системы- кнопки Язык системы и программы и обновления выдают ошибку.

Пользователь решил продолжить мысль 08 Январь 2016, 13:29:40:
Я почитал ссылку, но там Debian, а у меня Ubuntu 14.04 LTS. Из рекомендаций установить новый APT, а где его взять? Через Sinaptic пробовал обновить, все по-старому
« Последнее редактирование: 08 Январь 2016, 13:29:40 от Yujeen33 »

shura1

  • Гость
Re: Ошибки при проведении обновлений
« Ответ #6 : 08 Январь 2016, 13:33:41 »
Такое сообщение вообще не должно попадаться никогда. Даже близко.

Прогуглил - цитата из одного поста на форуме. Какого оно тут??? Короче бред голимый. И вообще из серии - "один ... может задать такой вопрос, что 100 мудрецов не разберется" (извиняюсь, но наиболее точное описание ситуации - и это цитата)

===

Переустановить не так уж страшно. Я в виртуалбокс за эти "праздники" (мать их) и bsd, и Alpine Linux, и Fedora установил, настроил, поигрался (не ну кто-то крестиком вышивает или телек смотрит). Короче во всем нужно терпенье, сноровка, тренировка)))

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 1842
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #7 : 08 Январь 2016, 13:41:40 »
Сторонние репы использую, но только те, что рекомендуют в Wiki...
- и тем не менее, покажи нам выхлоп cat /etc/apt/sources.list

Оффлайн Yujeen33

  • Автор темы
  • Участник
  • *
  • Сообщений: 108
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #8 : 08 Январь 2016, 15:22:23 »
deb cdrom:[Ubuntu 14.04 LTS _Trusty Tahr_ - Release amd64 (20140417)]/ trusty main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu trusty main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu trusty universe
deb-src http://archive.ubuntu.com/ubuntu trusty universe
deb http://archive.ubuntu.com/ubuntu trusty-updates universe
deb-src http://archive.ubuntu.com/ubuntu trusty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu trusty multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty multiverse
deb http://archive.ubuntu.com/ubuntu trusty-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu trusty-security main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty-security main restricted
deb http://archive.ubuntu.com/ubuntu trusty-security universe
deb-src http://archive.ubuntu.com/ubuntu trusty-security universe
deb http://archive.ubuntu.com/ubuntu trusty-security multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu trusty partner
deb-src http://archive.canonical.com/ubuntu trusty partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu trusty main
deb http://archive.ubuntu.com/ubuntu trusty-proposed multiverse universe restricted main
deb-src http://extras.ubuntu.com/ubuntu trusty main
deb http://download.virtualbox.org/virtualbox/debian trusty contrib

Вот что выдал терминал

Оффлайн Yujeen33

  • Автор темы
  • Участник
  • *
  • Сообщений: 108
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #9 : 12 Январь 2016, 07:09:40 »
F12,
Ну я показал, что по этому поводу скажешь?

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 1842
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #10 : 12 Январь 2016, 07:58:17 »
Yujeen33,
а deb cdrom:[Ubuntu 14.04 LTS _Trusty..., действительно включен, или это при копировании потерялся #?..
- если включен, а в приводе пусто, то система иногда может неадекватно реагировать.
- еще можно попробовать (больше, так на всякий случай, чем что-то конкретное) выключить extras... а в остальном, если только я спросонок ничего не проморгал, все нормально

Оффлайн Yujeen33

  • Автор темы
  • Участник
  • *
  • Сообщений: 108
    • Просмотр профиля
Re: Ошибки при проведении обновлений
« Ответ #11 : 12 Январь 2016, 09:37:48 »
В приводе пусто, а extras это ключи, поддержка медиафайлов и еще куча разных библиотек. Бог бы с ними, но ведь обновление делаю только через Терминал, т.к. графическая оболочка выдает ошибку и в параметрах системы не работают 2 кнопки это поддержка языков и программы и обновления. Это ведь с этим связано. Или я не прав?

 

Страница сгенерирована за 0.058 секунд. Запросов: 24.